JavaParameter
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class JavaParameter

- java.lang.Object
- - com.thoughtworks.qdox.model.AbstractBaseJavaEntity
  - - com.thoughtworks.qdox.model.JavaParameter

- All Implemented Interfaces:
    java.io.Serializable

      public class JavaParameter
      extends AbstractBaseJavaEntity
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JavaParameter[]` | `EMPTY_ARRAY`

    - ### Fields inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaParameter(Type type, java.lang.String name)`
    `JavaParameter(Type type, java.lang.String name, boolean varArgs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()`
    `JavaClass` | `getParentClass()` Not every entity has a parentClass, but AnnotationFieldRef requires access to it.
    `JavaMethod` | `getParentMethod()`
    `java.lang.String` | `getResolvedGenericValue()`
    `java.lang.String` | `getResolvedValue()`
    `Type` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isVarArgs()` Is this a Java 5 var args type specified using three dots.
    `void` | `setParentMethod(JavaMethod parentMethod)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.thoughtworks.qdox.model.AbstractBaseJavaEntity

      `getAnnotations, getLineNumber, getParent, setAnnotations, setLineNumber, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_ARRAY

          public static final JavaParameter[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### JavaParameter

          public JavaParameter(Type type,
                       java.lang.String name)

    - #### JavaParameter

          public JavaParameter(Type type,
                       java.lang.String name,
                       boolean varArgs)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `AbstractBaseJavaEntity`

    - #### getType

          public Type getType()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getParentMethod

          public JavaMethod getParentMethod()

    - #### setParentMethod

          public void setParentMethod(JavaMethod parentMethod)

    - #### getParentClass

          public JavaClass getParentClass()

      Description copied from class: `AbstractBaseJavaEntity`
      Not every entity has a parentClass, but AnnotationFieldRef requires access to it. When used with JavaClass, don't confuse this with getSuperClass()
      Overrides:
        `getParentClass` in class `AbstractBaseJavaEntity`
      Returns:
        the surrounding class

    - #### isVarArgs

          public boolean isVarArgs()

      Is this a Java 5 var args type specified using three dots. e.g. void doStuff(Object... thing)
      Since:
        1.6

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getResolvedValue

          public java.lang.String getResolvedValue()

      Returns:
        the resolved value if the method has typeParameters, otherwise type's value
      Since:
        1.10

    - #### getResolvedGenericValue

          public java.lang.String getResolvedGenericValue()